/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import "PerforceFileRevision.h"
#import "AppUtils.h"

@implementation PerforceFileRevision

- (id)	initWithRevision:	(const char*) revision
        withFileName:		(const char*) filename
        withChangeList:		(const char*) changelist
        withDate:			(const char*) date
        withUser:			(const char*) user
        withAction:			(const char*) action
        withDescription:	(const char*) description
{
    self = [super init];
    
    fRevision		= [[NSString alloc] initWithCString:revision];
    fFileName		= [[NSString alloc] initWithCString:filename];
    fChangeList		= [[NSString alloc] initWithCString:changelist];
    fDate			= [[NSString alloc] initWithCString:date];
    fUser			= [[NSString alloc] initWithCString:user];
    fAction			= [[NSString alloc] initWithCString:action];
    fDescription	= [[NSString alloc] initWithCString:description];
    
	fShortFileName	= [ExtractLastPathComponent (fFileName) retain];
	
    return self;
}

- (void) dealloc
{
    [fRevision release];
    [fFileName release];
    [fShortFileName release];
    [fChangeList release];
    [fDate release];
    [fUser release];
    [fAction release];
    [fDescription release];
	
	[super dealloc];
}

- (NSString*) getRevision;
{
    return fRevision;
}

- (NSString*) getFilename;
{
    return fFileName;
}

- (NSString*) getShortFilename
{
    return fShortFileName;
}

- (NSString*) getChangelist;
{
    return fChangeList;
}

- (NSString*) getDate;
{
    return fDate;
}

- (NSString*) getUser;
{
    return fUser;
}

- (NSString*) getAction;
{
    return fAction;
}

- (NSString*) getDescription
{
    return fDescription;
}

@end
